org.keycloak.services.resources.admin

## Class ClientTemplateResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientTemplateResource

-     public class ClientTemplateResource
      extends Object

  Base resource class for managing one particular client of a realm.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakApplication` | `keycloak`
    `protected static ServicesLogger` | `logger`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `protected ClientTemplateModel` | `template`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTemplateResource(RealmModel realm, RealmAuth auth, ClientTemplateModel template, KeycloakSession session, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `deleteClientTemplate()` Delete the client template
    `ClientTemplateRepresentation` | `getClient()` Get representation of the client template
    `protected KeycloakApplication` | `getKeycloakApplication()`
    `ProtocolMappersResource` | `getProtocolMappers()`
    `ScopeMappedResource` | `getScopeMappedResource()` Base path for managing the scope mappings for the client
    `javax.ws.rs.core.Response` | `update(ClientTemplateRepresentation rep)` Update the client template

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final ServicesLogger logger

    - #### realm

          protected RealmModel realm

    - #### template

          protected ClientTemplateModel template

    - #### session

          protected KeycloakSession session

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### keycloak

          @Context
          protected KeycloakApplication keycloak

  - ### Constructor Detail

    - #### ClientTemplateResource

          public ClientTemplateResource(RealmModel realm,
                                        RealmAuth auth,
                                        ClientTemplateModel template,
                                        KeycloakSession session,
                                        AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getKeycloakApplication

          protected KeycloakApplication getKeycloakApplication()

    - #### getProtocolMappers

          @Path(value="protocol-mappers")
          public ProtocolMappersResource getProtocolMappers()

    - #### getScopeMappedResource

          @Path(value="scope-mappings")
          public ScopeMappedResource getScopeMappedResource()

      Base path for managing the scope mappings for the client
      Returns:

    - #### update

          @PUT
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response update(ClientTemplateRepresentation rep)

      Update the client template
      Parameters:
        `rep` -
      Returns:

    - #### getClient

          @GET
           @Produces(value="application/json")
          public ClientTemplateRepresentation getClient()

      Get representation of the client template
      Returns:

    - #### deleteClientTemplate

          @DELETE
          public javax.ws.rs.core.Response deleteClientTemplate()

      Delete the client template

Copyright © 2016 JBoss by Red Hat. All rights reserved.